List arbitrage auto-close orders
curl --request GET \
--url https://perps-api.vooi.io/arbitrage-auto-close-orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://perps-api.vooi.io/arbitrage-auto-close-orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://perps-api.vooi.io/arbitrage-auto-close-orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://perps-api.vooi.io/arbitrage-auto-close-orders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://perps-api.vooi.io/arbitrage-auto-close-orders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://perps-api.vooi.io/arbitrage-auto-close-orders")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://perps-api.vooi.io/arbitrage-auto-close-orders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"cursor": "<string>",
"items": [
{
"conditions": [
{
"closeAt": "2023-11-07T05:31:56Z",
"type": "time"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"error": "<string>",
"executionStartedAt": "2023-11-07T05:31:56Z",
"firedConditionType": "fundingFlip",
"id": "019d5cbe-6980-7193-a80e-38a45eda36d8",
"legs": {
"long": {
"clientOrderId": "<string>",
"error": "<string>",
"exchange": "aster",
"exchangeOrderId": "<string>",
"marketId": "ETHUSDT",
"status": "executed"
},
"short": {
"clientOrderId": "<string>",
"error": "<string>",
"exchange": "aster",
"exchangeOrderId": "<string>",
"marketId": "ETHUSDT",
"status": "executed"
}
},
"status": "created",
"unifiedSymbol": "ETH",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"message": "Invalid order id: 123",
"statusCode": 503
}Arbitrage Auto-Close Orders
List arbitrage auto-close orders
Returns your arbitrage auto-close orders, newest first. Filter by status for pending orders (created, executionStarted) or history (executed, canceled, failed).
GET
/
arbitrage-auto-close-orders
List arbitrage auto-close orders
curl --request GET \
--url https://perps-api.vooi.io/arbitrage-auto-close-orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://perps-api.vooi.io/arbitrage-auto-close-orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://perps-api.vooi.io/arbitrage-auto-close-orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://perps-api.vooi.io/arbitrage-auto-close-orders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://perps-api.vooi.io/arbitrage-auto-close-orders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://perps-api.vooi.io/arbitrage-auto-close-orders")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://perps-api.vooi.io/arbitrage-auto-close-orders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"cursor": "<string>",
"items": [
{
"conditions": [
{
"closeAt": "2023-11-07T05:31:56Z",
"type": "time"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"error": "<string>",
"executionStartedAt": "2023-11-07T05:31:56Z",
"firedConditionType": "fundingFlip",
"id": "019d5cbe-6980-7193-a80e-38a45eda36d8",
"legs": {
"long": {
"clientOrderId": "<string>",
"error": "<string>",
"exchange": "aster",
"exchangeOrderId": "<string>",
"marketId": "ETHUSDT",
"status": "executed"
},
"short": {
"clientOrderId": "<string>",
"error": "<string>",
"exchange": "aster",
"exchangeOrderId": "<string>",
"marketId": "ETHUSDT",
"status": "executed"
}
},
"status": "created",
"unifiedSymbol": "ETH",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"message": "Invalid order id: 123",
"statusCode": 503
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Opaque pagination cursor returned as cursor from the previous page
Number of orders to return per page (1–100)
Required range:
1 <= x <= 100Sort field: updatedAt (default, most recently changed first), createdAt (most recently placed first) or closeAt (latest close time first, then orders with no time condition)
Available options:
closeAt, createdAt, updatedAt Filter by one or more statuses, repeating the parameter for several. Pending orders are created and executionStarted; history is executed, canceled and failed.
Available options:
canceled, created, executed, executionStarted, failed Filter by asset.
Minimum string length:
1